mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.Assembly, Inherited=false) System.Runtime.InteropServices.ComVisible(true)

The enumeration describes the assembly characteristics that can be set using this attribute.

To access the flags that have been specified for an assembly, use the property to obtain an object, then use the property to obtain an value.

To specify flags for a dynamic assembly, set the property of the object that you pass to the method.

Specifies a bitwise combination of flags for an assembly, describing just-in-time (JIT) compiler options, whether the assembly is retargetable, and whether it has a full or tokenized public key. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("")

  This untyped constructor is now obsolete. Do not use.

  Initializes a new instance of the class with the specified combination of flags, cast as an integer value.

  A bitwise combination of flags, cast as an integer value, representing just-in-time (JIT) compiler options, longevity, whether an assembly is retargetable, and whether it has a full or tokenized public key.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified combination of flags.

  A bitwise combination of flags representing just-in-time (JIT) compiler options, longevity, whether an assembly is retargetable, and whether it has a full or tokenized public key.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  System.Obsolete("")

  This untyped constructor is now obsolete. Do not use.

  Initializes a new instance of the class with the specified combination of flags, cast as an unsigned integer value.

  A bitwise combination of flags, cast as an unsigned integer value, representing just-in-time (JIT) compiler options, longevity, whether an assembly is retargetable, and whether it has a full or tokenized public key.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  This property returns an integer for backward compatibility. Cast the value to the type before using it.

  Gets an integer value representing the combination of flags specified when this attribute instance was created.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  System.Obsolete("")
  System.UInt32 To be added: an object of type 'uint'

  This property returns an integer for backward compatibility. Cast the value to the type before using it.

  Gets an unsigned integer value representing the combination of flags specified when this attribute instance was created.